<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="./style.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <title>Hello, world!</title>
</head>

<body>
    <div class="container bg-primary">
        <h2>.container</h2>
    </div>
    <div class="row bg-dark">
        <div class col-6 bg-light>
            1st coloum
        </div>
        <div class="col-6 bg-info">
            2nd coloum
        </div>
    </div>
    <div class="container-fluid bg-success">4
        <h2>.container-fluid</h2>
    </div>
    <div class="container-fluid bg-success">
        <h2>.container-fluid</h2>
        <div class="row bg-secondary">
            <!-- <h3>Inside the row</h3> -->
        </div>
        <div class="row bg-secondary">
            <div class="col-6 bg-warning"></div>
            <div class="col-10 bg-danger"></div>
        </div>
    </div>
    <!-- 4 equal size columns -->
    <div class="container">
        <div class="row">
            <div class=" col-3" style="background-color: red">1st Column</div>
            <div class=" col-3" style="background-color: blue">2nd Column</div>
            <div class=" col-3" style="background-color: yellow">3rd Column</div>
            <div class=" col-3" style="background-color: orange">4th Column</div>
        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class=" col-3" style="background-color: red">1st Column</div>
            <div class=" col-6" style="background-color: blue">1st Column</div>
            <div class=" col-3" style="background-color: yellow">1st Column</div>
        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class=" col-4" style="background-color: red">1st Column</div>
            <div class=" col-4" style="background-color: blue">2nd Column</div>
            <div class=" col-4" style="background-color: yellow">3rd Column</div>
        </div>
    </div>

    <!-- Grid Breakpoints -->
    <div class="container-fluid">
      <div class="row">
        <!-- 1st area -->
        <div class="col-12 bg-warning">
          <h3>L12 M12 S12</h3>
        </div>
        <!-- 2nd area -->
        <div class="col-12 col-md-6 col-lg-8 bg-info">
          <h3>L8 M12 S12</h3>
        </div>
        <!-- 3rd area -->
        <div class="col-10 col-md-6 col-lg-4 bg-primary">
          <h3>L4 M6 S10</h3>
        </div>
      </div>
    </div>

    <!-- Nested Columns -->
    <div class="container">
      <div class="row">
        <div class="col-md-9 bg-primary">
          <h5>inside 9 columns</h5>
          <!-- Nested Column should have a row before placing the column -->
          <div class="row">
            <div class="col-md-6 bg-danger">
              <h6>inside the nested 6 columns</h6>
            </div>
            <div class="col-md-6 bg-warning">
              <h6>Lorem ipsum dolor sit amet consectetur, adipisicing elit. Temporibus, obcaecati sed laudantium rem aperiam odio expedita. Veniam, error quod asperiores aspernatur cum placeat quasi corpdoris excepturi! Velit, esse commodi unde.</h6>
            </div>
          </div>
        </div>
      </div>
      
    </div>

 <!--    <Activity> -->





    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>

</html>